com.threerings.parlor.data

## Interface TableLobbyObject

All Known Implementing Classes:
  TableLobbyObject

    public interface TableLobbyObject

This interface must be implemented by the place object used by a lobby that wishes to make use of the table services.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addToTables(Table table)` Adds the supplied table instance to the tables set (using the appropriate distributed object mechanisms).
`com.threerings.presents.dobj.DSet<Table>` `getTables()` Returns a reference to the distributed set instance that will be holding the tables.
`TableMarshaller` `getTableService()` Returns a reference to the table service configured in this object.
`void` `removeFromTables(Comparable<?> key)` Removes the table instance that matches the specified key from the tables set (using the appropriate distributed object mechanisms).
`void` `setTableService(TableMarshaller service)` Configures the table service that clients should use to communicate table requests back to the table manager handling these tables.
`void` `updateTables(Table table)` Updates the value of the specified table instance in the tables distributed set (using the appropriate distributed object mechanisms).

### Method Detail

#### getTables

    com.threerings.presents.dobj.DSet<Table> getTables()

Returns a reference to the distributed set instance that will be holding the tables.

#### addToTables

    void addToTables(Table table)

Adds the supplied table instance to the tables set (using the appropriate distributed object mechanisms).

#### updateTables

    void updateTables(Table table)

Updates the value of the specified table instance in the tables distributed set (using the appropriate distributed object mechanisms).

#### removeFromTables

    void removeFromTables(Comparable<?> key)

Removes the table instance that matches the specified key from the tables set (using the appropriate distributed object mechanisms).

#### getTableService

    TableMarshaller getTableService()

Returns a reference to the table service configured in this object.

#### setTableService

    void setTableService(TableMarshaller service)

Configures the table service that clients should use to communicate table requests back to the table manager handling these tables.